com.oracle.truffle.api.object

## Interface LayoutFactory

All Known Implementing Classes:
  DefaultLayoutFactory

    public interface LayoutFactory

### Method Summary

Methods
`Layout` `createLayout(LayoutBuilder layoutBuilder)`
`Property` `createProperty(java.lang.Object id, Location location, int flags)`
`int` `getPriority()`

### Method Detail

#### createLayout

    Layout createLayout(LayoutBuilder layoutBuilder)

#### createProperty

    Property createProperty(java.lang.Object id,
                          Location location,
                          int flags)

#### getPriority

    int getPriority()